[Debian-eeepc-commits] [SCM] Maintenance of eeepc-acpi-scripts debian package branch, master, updated. 1.1.5-74-g83c9b5c

Ben Armstrong synrg at debian.org
Fri Nov 12 11:01:08 UTC 2010


The following commit has been merged in the master branch:
commit 88d50b78fc33eee65cc764b9bcecbb7e652ea85d
Author: Luca Niccoli <lultimouomo at gmail.com>
Date:   Wed May 12 01:04:56 2010 +0200

    Move file around not to mark scripts as conffiles and to keep a more organized structure.
    Update scripts for the new paths.
    
    Signed-off-by: Luca Niccoli <lultimouomo at gmail.com>

diff --git a/etc/acpi/lib/bluetooth.sh b/acpilib/bluetooth.sh
similarity index 100%
rename from etc/acpi/lib/bluetooth.sh
rename to acpilib/bluetooth.sh
diff --git a/etc/acpi/lib/camera.sh b/acpilib/camera.sh
similarity index 100%
rename from etc/acpi/lib/camera.sh
rename to acpilib/camera.sh
diff --git a/functions.sh b/acpilib/functions.sh
similarity index 100%
rename from functions.sh
rename to acpilib/functions.sh
diff --git a/etc/acpi/lib/notify.sh b/acpilib/notify.sh
similarity index 100%
rename from etc/acpi/lib/notify.sh
rename to acpilib/notify.sh
diff --git a/etc/acpi/lib/shengine.sh b/acpilib/shengine.sh
similarity index 100%
rename from etc/acpi/lib/shengine.sh
rename to acpilib/shengine.sh
diff --git a/etc/acpi/lib/sound.sh b/acpilib/sound.sh
similarity index 93%
rename from etc/acpi/lib/sound.sh
rename to acpilib/sound.sh
index b1c1e52..8d64816 100644
--- a/etc/acpi/lib/sound.sh
+++ b/acpilib/sound.sh
@@ -1,6 +1,6 @@
 # Parse amixer output for a regexp (first parameter).
 # Some controls are blacklisted; for this, we use a set of fixed strings in
-# /etc/acpi/lib/eeepc-amixer-blacklist. (No wildcards or regexps.)
+# /etc/acpi/eeepc-amixer-blacklist. (No wildcards or regexps.)
 
 PKG=eeepc-acpi-scripts
 DEFAULT=/etc/default/$PKG
@@ -22,7 +22,7 @@ configureSoundFilter() {
   if [ "$2" = '' ]; then
     grep ^Master
   else
-    grep -ivF "$(sed -nre "/^#/ d; /!/! {p; d}; /!(.*,)?\b$2\b/ d; s/\s*!.*//; p" /etc/acpi/lib/eeepc-amixer-blacklist)"
+    grep -ivF "$(sed -nre "/^#/ d; /!/! {p; d}; /!(.*,)?\b$2\b/ d; s/\s*!.*//; p" /etc/acpi/eeepc-amixer-blacklist)"
   fi
 }
 
diff --git a/etc/acpi/lib/touchpad.sh b/acpilib/touchpad.sh
similarity index 100%
rename from etc/acpi/lib/touchpad.sh
rename to acpilib/touchpad.sh
diff --git a/debian/dirs b/debian/dirs
index 8823008..dce6c62 100644
--- a/debian/dirs
+++ b/debian/dirs
@@ -1,9 +1,8 @@
 etc/default
-etc/acpi/actions
 etc/acpi/events
-etc/acpi/lib
 etc/modprobe.d
 etc/pm/power.d
 lib/udev/rules.d
-usr/share/eeepc-acpi-scripts
+usr/share/acpi-support/eeepc-acpi-scripts
+usr/share/acpi-support/eeepc-acpi-scripts/lib
 var/lib/eeepc-acpi-scripts
diff --git a/debian/rules b/debian/rules
index 9606a91..1e6e4fa 100755
--- a/debian/rules
+++ b/debian/rules
@@ -14,7 +14,7 @@ clean:
 
 build: build-stamp
 build-stamp:
-	for f in `grep -r -E -l '^#! ?/bin/sh' etc lib` *.sh; do \
+	for f in `grep -r -E -l '^#! ?/bin/sh' etc lib eeepc-acpi-scripts`; do \
 	    echo "Checking $$f"; \
 	    sh -n $$f; \
 	done
@@ -25,14 +25,14 @@ install: build
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	install -m 0755 etc/acpi/actions/* $(TMP)/etc/acpi/actions
+	install -m 0755 eeepc-acpi-scripts/* $(TMP)/usr/share/acpi-support/eeepc-acpi-scripts
+	install -m 0644 acpilib/* $(TMP)/usr/share/acpi-support/eeepc-acpi-scripts/lib
 	install -m 0644 etc/acpi/events/* $(TMP)/etc/acpi/events
-	install -m 0644 etc/acpi/lib/* $(TMP)/etc/acpi/lib
+	install -m 0644 etc/acpi/eeepc-amixer-blacklist $(TMP)/etc/acpi
 	install -m 0644 etc/modprobe.d/* $(TMP)/etc/modprobe.d
 	install -m 0755 etc/pm/power.d/* $(TMP)/etc/pm/power.d
 	install -m 0644 lib/udev/rules.d/* $(TMP)/lib/udev/rules.d
 	install -m 0755 lib/udev/[!r]* $(TMP)/lib/udev
-	install -m 0644 functions.sh $(TMP)/usr/share/$(PKG)/
 
 binary-indep: build install
 	dh_testdir
diff --git a/etc/acpi/actions/gsm.sh b/eeepc-acpi-scripts/gsm.sh
old mode 100644
new mode 100755
similarity index 93%
rename from etc/acpi/actions/gsm.sh
rename to eeepc-acpi-scripts/gsm.sh
index 5de8ae9..a0eb0ed
--- a/etc/acpi/actions/gsm.sh
+++ b/eeepc-acpi-scripts/gsm.sh
@@ -1,9 +1,8 @@
 #!/bin/sh
 
-# do nothing if package is removed
 PKG=eeepc-acpi-scripts
-FUNC_LIB=/usr/share/$PKG/functions.sh
-[ -e $FUNC_LIB ] || exit 0
+PKG_DIR=/usr/share/acpi-support/$PKG
+FUNC_LIB=$PKG_DIR/lib/functions.sh
 
 . $FUNC_LIB
 
diff --git a/etc/acpi/actions/hotkey.sh b/eeepc-acpi-scripts/hotkey.sh
similarity index 90%
rename from etc/acpi/actions/hotkey.sh
rename to eeepc-acpi-scripts/hotkey.sh
index 012a98c..5a82144 100755
--- a/etc/acpi/actions/hotkey.sh
+++ b/eeepc-acpi-scripts/hotkey.sh
@@ -2,7 +2,8 @@
 
 # do nothing if package is removed
 PKG=eeepc-acpi-scripts
-FUNC_LIB=/usr/share/$PKG/functions.sh
+PKG_DIR=/usr/share/acpi-support/$PKG
+FUNC_LIB=$PKG_DIR/lib/functions.sh
 DEFAULT=/etc/default/$PKG
 [ -e "$FUNC_LIB" ] || exit 0
 
@@ -16,7 +17,7 @@ BACKLIGHT=/sys/class/backlight/eeepc/brightness
 if [ -e "$DEFAULT" ]; then . "$DEFAULT"; fi
 . $FUNC_LIB
 
-. /etc/acpi/lib/notify.sh
+. $PKG_DIR/lib/notify.sh
 code=$3
 value=$(test "x$1" = x- && cat "$BACKLIGHT" || echo "0x$3")
 
@@ -44,19 +45,19 @@ esac
 seen_hotkey() { test "$acpi" = button; }
 
 handle_mute_toggle() {
-    /etc/acpi/actions/volume.sh toggle
+    $PKG_DIR/volume.sh toggle
 }
 
 handle_volume_up() {
-    /etc/acpi/actions/volume.sh up
+    $PKG_DIR/volume.sh up
 }
 
 handle_volume_down() {
-    /etc/acpi/actions/volume.sh down
+    $PKG_DIR/volume.sh down
 }
 
 show_wireless() {
-    if /etc/acpi/actions/wireless.sh detect; then
+    if $PKG_DIR/wireless.sh detect; then
 	status=Off
     else
 	status=On
@@ -83,7 +84,7 @@ show_bluetooth() {
 }
 
 handle_bluetooth_toggle() {
-    . /etc/acpi/lib/bluetooth.sh
+    . $PKG_DIR/lib/bluetooth.sh
     if [ -e "$BT_CTL" ] || [ "$BLUETOOTH_FALLBACK_TO_HCITOOL" = "yes" ]; then
 	toggle_bluetooth
 	show_bluetooth
@@ -101,7 +102,7 @@ show_camera() {
 }
 
 handle_camera_toggle() {
-    . /etc/acpi/lib/camera.sh
+    . $PKG_DIR/lib/camera.sh
     if [ -e "$CAM_CTL" ]; then
 	toggle_camera
 	show_camera
@@ -119,12 +120,12 @@ show_brightness() {
 }
 
 handle_shengine() {
-    . /etc/acpi/lib/shengine.sh
+    . $PKG_DIR/lib/shengine.sh
     handle_shengine "$@"
 }
 
 handle_touchpad_toggle() {
-    . /etc/acpi/lib/touchpad.sh
+    . $PKG_DIR/lib/touchpad.sh
     toggle_touchpad
     case "$?" in
 	0)
@@ -137,12 +138,12 @@ handle_touchpad_toggle() {
 }
 
 handle_vga_toggle() {
-    /etc/acpi/actions/vga-toggle.sh
+    $PKG_DIR/vga-toggle.sh
 }
 
 handle_gsm_toggle() {
-    /etc/acpi/actions/gsm.sh toggle
-    if /etc/acpi/actions/gsm.sh detect; then
+    $PKG_DIR/gsm.sh toggle
+    if $PKG_DIR/gsm.sh detect; then
         notify gsm "GSM off"
     else
         notify gsm "GSM on"
@@ -181,10 +182,10 @@ case $code in
 	if grep -q '^H.*\brfkill\b' /proc/bus/input/devices; then
 	  :
 	else
-	  /etc/acpi/actions/wireless.sh toggle
+	  $PKG_DIR/wireless.sh toggle
 	fi
 	show_wireless
-        if ! /etc/acpi/actions/wireless.sh detect; then
+        if ! $PKG_DIR/wireless.sh detect; then
             wakeup_wicd
         fi
 	;;
diff --git a/etc/acpi/actions/vga-toggle.sh b/eeepc-acpi-scripts/vga-toggle.sh
similarity index 93%
rename from etc/acpi/actions/vga-toggle.sh
rename to eeepc-acpi-scripts/vga-toggle.sh
index ffb0a9b..209fd08 100755
--- a/etc/acpi/actions/vga-toggle.sh
+++ b/eeepc-acpi-scripts/vga-toggle.sh
@@ -2,7 +2,8 @@
 
 # do nothing if package is removed
 PKG=eeepc-acpi-scripts
-FUNC_LIB=/usr/share/$PKG/functions.sh
+PKG_DIR=/usr/share/acpi-support/$PKG
+FUNC_LIB=$PKG_DIR/lib/functions.sh
 DEFAULT=/etc/default/$PKG
 [ -e "$FUNC_LIB" ] || exit 0
 
diff --git a/etc/acpi/actions/volume.sh b/eeepc-acpi-scripts/volume.sh
similarity index 94%
rename from etc/acpi/actions/volume.sh
rename to eeepc-acpi-scripts/volume.sh
index 63f4b47..6541aed 100755
--- a/etc/acpi/actions/volume.sh
+++ b/eeepc-acpi-scripts/volume.sh
@@ -4,13 +4,14 @@
 
 # do nothing if package is removed
 PKG=eeepc-acpi-scripts
-FUNC_LIB=/usr/share/$PKG/functions.sh
+PKG_DIR=/usr/share/acpi-support/$PKG
+FUNC_LIB=$PKG_DIR/lib/functions.sh
 DEFAULT=/etc/default/$PKG
 [ -e "$FUNC_LIB" ] || exit 0
 
 . $FUNC_LIB
-. /etc/acpi/lib/notify.sh
-. /etc/acpi/lib/sound.sh
+. $PKG_DIR/lib/notify.sh
+. $PKG_DIR/lib/sound.sh
 action=$1
 
 usage() {
diff --git a/etc/acpi/actions/wireless.sh b/eeepc-acpi-scripts/wireless.sh
similarity index 86%
rename from etc/acpi/actions/wireless.sh
rename to eeepc-acpi-scripts/wireless.sh
index 1d2cddd..f976303 100755
--- a/etc/acpi/actions/wireless.sh
+++ b/eeepc-acpi-scripts/wireless.sh
@@ -1,6 +1,12 @@
 #!/bin/sh
 
-. /usr/share/eeepc-acpi-scripts/functions.sh
+PKG=eeepc-acpi-scripts
+PKG_DIR=/usr/share/acpi-support/$PKG
+FUNC_LIB=$PKG_DIR/lib/functions.sh
+
+[ -e "$FUNC_LIB" ] || exit 0
+
+. $FUNC_LIB
 
 detect_rfkill wlan
 wlan_control="$RFKILL"
diff --git a/etc/acpi/lib/eeepc-amixer-blacklist b/etc/acpi/eeepc-amixer-blacklist
similarity index 100%
rename from etc/acpi/lib/eeepc-amixer-blacklist
rename to etc/acpi/eeepc-amixer-blacklist
diff --git a/etc/acpi/events/hotkey b/etc/acpi/events/asus-eee-hotkey
similarity index 51%
rename from etc/acpi/events/hotkey
rename to etc/acpi/events/asus-eee-hotkey
index 67b5aab..5ceec53 100644
--- a/etc/acpi/events/hotkey
+++ b/etc/acpi/events/asus-eee-hotkey
@@ -1,2 +1,2 @@
 event=hotkey ATKD (0000001[0123456abcd]|0000002?|0000003[012789])
-action=/etc/acpi/actions/hotkey.sh %e
+action=/usr/share/acpi-support/eeepc-acpi-scripts/hotkey.sh %e
diff --git a/etc/acpi/events/asus-eee-hotkey-button b/etc/acpi/events/asus-eee-hotkey-button
new file mode 100644
index 0000000..956b868
--- /dev/null
+++ b/etc/acpi/events/asus-eee-hotkey-button
@@ -0,0 +1,2 @@
+event=button/(wlan|zoom|mute|volume|prog|screenlock)
+action=/usr/share/acpi-support/eeepc-acpi-scripts/hotkey.sh - %e
diff --git a/etc/acpi/events/hotkey-netlink b/etc/acpi/events/asus-eee-hotkey-netlink
similarity index 53%
rename from etc/acpi/events/hotkey-netlink
rename to etc/acpi/events/asus-eee-hotkey-netlink
index 9e7cd5f..38dbf51 100644
--- a/etc/acpi/events/hotkey-netlink
+++ b/etc/acpi/events/asus-eee-hotkey-netlink
@@ -1,2 +1,2 @@
 event=hotkey ASUS010:00 (0000001[0123456abcd]|0000002?|0000003[012789])
-action=/etc/acpi/actions/hotkey.sh %e
+action=/usr/share/acpi-support/eeepc-acpi-scripts/hotkey.sh %e
diff --git a/etc/acpi/events/asus-eee-hotkey-video b/etc/acpi/events/asus-eee-hotkey-video
new file mode 100644
index 0000000..b298cb4
--- /dev/null
+++ b/etc/acpi/events/asus-eee-hotkey-video
@@ -0,0 +1,2 @@
+event=video/(brightness|switchmode)
+action=/usr/share/acpi-support/eeepc-acpi-scripts/hotkey.sh - %e
diff --git a/etc/acpi/events/hotkey-button b/etc/acpi/events/hotkey-button
deleted file mode 100644
index 18d4ac1..0000000
--- a/etc/acpi/events/hotkey-button
+++ /dev/null
@@ -1,2 +0,0 @@
-event=button/(wlan|zoom|mute|volume|prog|screenlock)
-action=/etc/acpi/actions/hotkey.sh - %e
diff --git a/etc/acpi/events/hotkey-video b/etc/acpi/events/hotkey-video
deleted file mode 100644
index 66307f5..0000000
--- a/etc/acpi/events/hotkey-video
+++ /dev/null
@@ -1,2 +0,0 @@
-event=video/(brightness|switchmode)
-action=/etc/acpi/actions/hotkey.sh - %e
diff --git a/etc/pm/power.d/SHE.sh b/etc/pm/power.d/SHE.sh
index 050b905..2fd35c3 100755
--- a/etc/pm/power.d/SHE.sh
+++ b/etc/pm/power.d/SHE.sh
@@ -3,7 +3,8 @@
 # Handles EeePc Super Hybrid Engine
 # do nothing if package is removed
 PKG=eeepc-acpi-scripts
-FUNC_LIB=/usr/share/$PKG/functions.sh
+PKG_DIR=/usr/share/acpi-support/$PKG
+FUNC_LIB=$PKG_DIR/lib/functions.sh
 DEFAULT=/etc/default/$PKG
 [ -e $FUNC_LIB ] || exit 0
 
@@ -16,12 +17,12 @@ esac
 if [ -e "$DEFAULT" ]; then . "$DEFAULT"; fi
 . $FUNC_LIB
 
-. /etc/acpi/lib/notify.sh
+. $PKG_DIR/lib/notify.sh
 
 case "$1" in
     # AC adapter present
     false)
-	. /etc/acpi/lib/shengine.sh
+	. $PKG_DIR/lib/shengine.sh
 	if shengine_supported && [ "${SHENGINE_SETTING:-auto}" = auto ]; then
 	    PWR_CLOCK_AC="${PWR_CLOCK_AC:-0}"
 	    if [ $(get_shengine -) -gt "$PWR_CLOCK_AC" ]; then
@@ -32,7 +33,7 @@ case "$1" in
 
     # AC adapter not present
     true)
-	. /etc/acpi/lib/shengine.sh
+	. $PKG_DIR/lib/shengine.sh
 	if shengine_supported && [ "${SHENGINE_SETTING:-auto}" = auto ]; then
 	    PWR_CLOCK_BATTERY="${PWR_CLOCK_BATTERY:-$(($SHENGINE_LIMIT - 1))}"
 	    if [ $(get_shengine -) -lt "$PWR_CLOCK_BATTERY" ]; then
diff --git a/lib/udev/eeepc-acpi-scripts b/lib/udev/eeepc-acpi-scripts
index 4f24d7a..43c1931 100644
--- a/lib/udev/eeepc-acpi-scripts
+++ b/lib/udev/eeepc-acpi-scripts
@@ -2,7 +2,9 @@
 (
 #. /lib/udev/hotplug.functions
 #wait_for_file ... something which will indicate /var being r/w?
-. /etc/acpi/lib/sound.sh
+PKG=eeepc-acpi-scripts
+PKG_DIR=/usr/share/acpi-support/$PKG
+. $PKG_DIR/lib/sound.sh
 
 SOUND_LABEL=
 SOUND_SWITCH=

-- 
Maintenance of eeepc-acpi-scripts debian package



More information about the Debian-eeepc-commits mailing list